Winevt.EVT_SEEK_FLAGS (JNA API)

com.sun.jna.platform.win32

## Interface Winevt.EVT_SEEK_FLAGS

- Enclosing interface:
    Winevt

      public static interface Winevt.EVT_SEEK_FLAGS

  Defines the relative position in the result set from which to seek. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385575(v=vs.85).aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EvtSeekOriginMask` A bitmask that you can use to determine which of the following flags is set: EvtSeekRelativeToFirst EvtSeekRelativeToLast EvtSeekRelativeToBookmark
    `static int` | `EvtSeekRelativeToBookmark` Seek to the specified offset from the bookmarked entry in the result set.
    `static int` | `EvtSeekRelativeToCurrent` Seek to the specified offset from the current entry in the result set.
    `static int` | `EvtSeekRelativeToFirst` Seek to the specified offset from the first entry in the result set.
    `static int` | `EvtSeekRelativeToLast` Seek to the specified offset from the last entry in the result set.
    `static int` | `EvtSeekStrict` Force the function to fail if the event does not exist.

- - ### Field Detail

    - #### EvtSeekRelativeToFirst

          static final int EvtSeekRelativeToFirst

      Seek to the specified offset from the first entry in the result set. The offset must be a positive value.
      See Also:
        Constant Field Values

    - #### EvtSeekRelativeToLast

          static final int EvtSeekRelativeToLast

      Seek to the specified offset from the last entry in the result set. The offset must be a negative value.
      See Also:
        Constant Field Values

    - #### EvtSeekRelativeToCurrent

          static final int EvtSeekRelativeToCurrent

      Seek to the specified offset from the current entry in the result set. The offset can be a positive or negative value.
      See Also:
        Constant Field Values

    - #### EvtSeekRelativeToBookmark

          static final int EvtSeekRelativeToBookmark

      Seek to the specified offset from the bookmarked entry in the result set. The offset can be a positive or negative value.
      See Also:
        Constant Field Values

    - #### EvtSeekOriginMask

          static final int EvtSeekOriginMask

      A bitmask that you can use to determine which of the following flags is set:
      - EvtSeekRelativeToFirst
      - EvtSeekRelativeToLast
      - EvtSeekRelativeToBookmark
      See Also:
        Constant Field Values

    - #### EvtSeekStrict

          static final int EvtSeekStrict

      Force the function to fail if the event does not exist.
      See Also:
        Constant Field Values

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.